import httpUtil from "../scan/httpUtil";


//查询总览
export function graphic(param, success) {
    let url = '/api/datacenter/graphic/page-query'
    httpUtil.postJson(url, param, success)
}

// 查询总览数量
export function graphicNumber(param, success) {
    let url = '/api/datacenter/graphic/query-count'
    httpUtil.postJson(url, param, success)

}

// 下载报告
export function reportDownload(param, success) {
    let url = '/api/datacenter/graphic/report-downloads'
    httpUtil.getJson(url, param, success)
}

// 下载模板
export function templateDownloads(param, success) {
    let url = '/api/datacenter/graphic/template-downloads'
    httpUtil.getJson(url, param, success)
}


//    建筑下的业务空间
export function buildSpace(param, success) {
    let url = '/api/datacenter/calc_building/space'
    httpUtil.postJson(url, param, success)
}


// 管网系统设备分块 1
export function calcSpecial(param, success) {
    let url = ` /api/datacenter/calc_special/sys-block?Domain=${param.Domain}&SystemName=${param.SystemName}`
    httpUtil.postJson(url, param, success)
}


//    获取源末端 2
export function blockQuery(param, success) {
    let url = '/api/datacenter/graphic/connected-block-query'
    httpUtil.postJson(url, param, success)
}


// 覆盖源末端 3
export function blockSource(param, success) {
    let url = '/api/datacenter/graphic/replace-connected-block-source'
    httpUtil.postJson(url, param, success)
}

//    管网系统确定流向 4
export function sysDirection(param, success) {
    let buildId = param.BuildingId ? `BuildingId=${param.BuildingId}&` : ''
    let url = `/api/datacenter/calc_special/sys-direction?BlockId=${param.BlockId}&${buildId}Domain=${param.Domain}&SystemName=${param.SystemName}&isSource=${param.isSource}`
    httpUtil.postJson(url, param, success)
}

